cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shazron <shaz...@gmail.com>
Subject Re: iOS 7 went GM
Date Thu, 12 Sep 2013 21:39:29 GMT
In any case, this method below has worked for supporting older SDKs in a
newer IDE even before Xcode 5:
http://blog.spacemanlabs.com/2013/09/how-to-support-old-ios-sdks-in-xcode-5/

... which might give a compile-time check that you are using iOS 7 APIs
dynamically by compiling with the actual iOS 6 SDK


On Thu, Sep 12, 2013 at 3:32 AM, Shazron <shazron@gmail.com> wrote:

> Enterprises can already do so with Xcode 5 since our deployment target is
> iOS 5.0 (like usual). We just have to be careful (like when we upgraded to
> iOS 6.0 support) to conditionally use any iOS 7 APIs... which since we are
> not really using any (except for some UIWebView new properties that we
> would have to support, which will be properly guarded against, which we
> have done before for iOS 6 -> 5)
>
>
> On Thu, Sep 12, 2013 at 12:31 AM, purplecabbage <purplecabbage@gmail.com>wrote:
>
>> As Shaz said, soon they will not. After iOS7 is out.
>>
>> There is still however a reason to support older Xcode version because
>> enterprises can distribute their own apps.
>>
>> Sent from my iPhone
>>
>> > On Sep 12, 2013, at 12:19 AM, Samuel Nova <samuel.nova@terria.com>
>> wrote:
>> >
>> > Can anyone confirm that Apple does not take new apps unless compiled
>> with
>> > Xcode 5? We submitted 2 updates yesterday using Xcode 4.6.3, no
>> problems so
>> > far..
>> >
>> >
>> >
>> >> On Wed, Sep 11, 2013 at 2:41 PM, Andrew Grieve <agrieve@chromium.org>
>> wrote:
>> >>
>> >> Okay, well that is a bit annoying, but the fact that they won't take
>> apps
>> >> unless built with 5 is pretty darn compelling :P.
>> >>
>> >>
>> >>> On Tue, Sep 10, 2013 at 5:06 PM, Shazron <shazron@gmail.com> wrote:
>> >>>
>> >>> Xcode 5 does require at least Mountain Lion (10.8) while Xcode 4.6.3
>> you
>> >>> could still use Lion (10.7)
>> >>>
>> >>> From the download page:
>> >>> "Xcode 5 GM seed requires OS X Mountain Lion or later."
>> >>>
>> >>>
>> >>> On Tue, Sep 10, 2013 at 1:53 PM, Andrew Grieve <agrieve@chromium.org>
>> >>> wrote:
>> >>>
>> >>>> Sounds good! No reason not to insist on this. It's a free download
>> and
>> >>>> doesn't change the system requirements (at least they don't mention
>> >> that
>> >>> it
>> >>>> does)
>> >>>>
>> >>>>
>> >>>>> On Tue, Sep 10, 2013 at 4:38 PM, Shazron <shazron@gmail.com>
wrote:
>> >>>>>
>> >>>>> Also, Apple just sent out the email "Submit your iOS 7 apps
today"
>> >>> using
>> >>>>> Xcode 5 GM.
>> >>>>>
>> >>>>> So I say once iOS 7 goes GA (Sept 20?) we say Cordova only supports
>> >>>> Xcode 5
>> >>>>> going forward (since that will be the requirement for submitting
to
>> >> the
>> >>>> App
>> >>>>> Store)
>> >>>>>
>> >>>>>
>> >>>>>> On Tue, Sep 10, 2013 at 1:21 PM, Shazron <shazron@gmail.com>
>> wrote:
>> >>>>>>
>> >>>>>> download the GM Xcode from the iOS Dev Center. I suppose
we can
>> >>>> finalize
>> >>>>>> iOS 7 support/testing.
>> >
>> >
>> >
>> > --
>> > Samuel Nova
>> > samuel.nova@terria.com
>> >
>> > Terria Mobile
>> > Steinenvorstadt 30
>> > CH-4051 Basel
>> > Switzerland
>> >
>> > Office: +41 61 511 76 88
>> > Direct: +41 61 511 76 83
>> > Mobile: +41 79 455 71 14
>> > Web: www.terria.com
>>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message